=== modified file 'loggerhead/apps/branch.py'
--- loggerhead/apps/branch.py	2008-06-24 05:04:25 +0000
+++ loggerhead/apps/branch.py	2008-06-24 05:23:11 +0000
@@ -37,8 +37,14 @@
             if cache_path is not None:
                 # Only import the cache if we're going to use it.
                 # This makes sqlite optional
-                from loggerhead.changecache import FileChangeCache
-                _history.use_file_cache(FileChangeCache(_history, cache_path))
+                try:
+                    from loggerhead.changecache import FileChangeCache
+                except ImportError:
+                    self.log.debug("Couldn't load python-sqlite," 
+                                   " continuing without using a cache")
+                else:
+                    _history.use_file_cache(FileChangeCache(_history, 
+                                                            cache_path))
         return self._history
 
     def url(self, *args, **kw):

=== modified file 'loggerhead/changecache.py'
--- loggerhead/changecache.py	2008-06-16 09:51:29 +0000
+++ loggerhead/changecache.py	2008-06-24 05:23:11 +0000
@@ -31,7 +31,6 @@
 from loggerhead import util
 from loggerhead.lockfile import LockFile
 
-
 with_lock = util.with_lock('_lock', 'ChangeCache')
 
 SQLITE_INTERFACE = os.environ.get('SQLITE_INTERFACE', 'sqlite')
@@ -42,8 +41,7 @@
 elif SQLITE_INTERFACE == 'sqlite':
     import sqlite as dbapi2
     _param_marker = '%s'
-else:
-    raise AssertionError("bad sqlite interface %r!?"%SQLITE_INTERFACE)
+
 
 _select_stmt = ("select data from revisiondata where revid = ?"
                 ).replace('?', _param_marker)

